"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.separate = exports.withKeys = exports.interpunct = exports.renderableSubtitleComponent = void 0;
const react_1 = __importStar(require("react"));
const typography_1 = require("../typography");
const utils_1 = require("../helpers/utils");
exports.renderableSubtitleComponent = (element, style) => {
    switch (typeof element) {
        case 'string':
        case 'number':
            return (react_1.default.createElement(typography_1.Body2, { numberOfLines: 1, style: style }, `${element}`));
        default:
            return element;
    }
};
exports.interpunct = (separator, style) => (react_1.default.createElement(typography_1.Body2, { style: [{ marginHorizontal: 4 }, style] }, separator || '\u00B7'));
exports.withKeys = (array) => array.map((element, index) => react_1.default.createElement(react_1.Fragment, { key: index }, element));
exports.separate = (array, separator) => utils_1.interleave(array, () => exports.interpunct(separator));
